RRDFIRST(1)

NAME
rrdfirst - Return the date of the first data sample in an RRA within an RRD

SYNOPSIS
rrdtool first filename [--rraindex number] [--daemon|-d address]

DESCRIPTION
The first function returns the UNIX timestamp of the first data sample entered into the specified RRA of the RRD file.

filename
    The name of the RRD that contains the data.

--rraindex number
    The index number of the RRA that is to be examined. If not specified, the index defaults to zero. RRA index numbers can be determined through rrdtool info.

--daemon|-d address
    Address of the rrdcached daemon. For a list of accepted formats, see the -l option in the rrdcached manual.

     rrdtool first --daemon unix:/var/run/rrdcached.sock /var/lib/rrd/foo.rrd

AUTHOR
Burton Strauss <Burton@ntopSupport.com> Daemon support added by Steve Shipway <steve@steveshipway.org>